'''
Created on 5 Sep 2009

@author: Jamie
'''
    
import pygame

class CreditsRenderer(object):
    
    creditsText = """
    
    FLIGHT OF ICARUS
    
    A game by PyWorld
    for PyWeek 9
    
    
    Art:
    Gary and Jamie
    
    Programming:
    Gary and Jamie
    
    Design:
    Gary and Jamie
    
    Audio:
    Gregor
    
    Catering:
    Gary
    
    Tea-lady:
    Laura
    
    Animal support:
    Lily and Mick
    
    Coffee provider:
    Starbucks
    
    
    """.splitlines()
    
    font = None
    surface = None
    color = (2, 2, 2)
    timer = 0
    
    def __init__(self, surface):
        self.surface = surface
        
        try:
            verdana = pygame.font.match_font('Verdana', italic = True)
            self.font = pygame.font.Font(verdana, 35)
        except IOError:
            try:
                self.font = pygame.font.Font("freesansbold.ttf", 50)
            except IOError:
                print "Unable to load default font or 'freesansbold.ttf'"
        
    def Render(self):
        y = 500 - self.timer
        for line in self.creditsText:
            (width, height) = self.font.size(line)
            text = self.font.render(line, True, self.color)
            x = 300 - width/2
            self.surface.blit(text, (x,y))
            y += height
        
        self.timer += 1
        if y < 0:
            self.timer = 0
